Bug 201170 - [revive port] [patch] lang/haskell-mode.el: readd, stage, and update
Summary: [revive port] [patch] lang/haskell-mode.el: readd, stage, and update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-06-28 17:50 UTC by Klaus Aehlig
Modified: 2016-03-13 17:21 UTC (History)
1 user (show)

See Also:


Attachments
Patch to be applied to latest non-removed lang/haskell-mode.el to stage and update (4.46 KB, patch)
2015-06-28 17:50 UTC, Klaus Aehlig
rakuco: maintainer-approval+
Details | Diff
Patch to be applied to latest non-removed lang/haskell-mode.el to stage and update (4.53 KB, patch)
2016-03-13 16:46 UTC, Klaus Aehlig
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Aehlig 2015-06-28 17:50:47 UTC
Created attachment 158129 [details]
Patch to be applied to latest non-removed lang/haskell-mode.el to stage and update

Add lang/haskell-mode.el back to the ports tree,
stage it, and update to the latest version.

To fix:
apply the attached patch to the latest non-removed version
of lang/haskell-mode.el
Comment 1 Raphael Kubo da Costa freebsd_committer 2016-03-05 12:43:23 UTC
Hi Klaus,

Thanks for the patch, sorry that it went unnoticed.

A few comments about the new version:
- Instead of setting GH_TAGNAME, you could set DISTVERSIONPREFIX=v.
- Instead of adding emacs as a build-dependency like that, it makes more sense to set USE_EMACS=yes.
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-03-05 12:44:26 UTC
You could also drop the bsd.port.options.mk include and use some target helpers instead:

post-install-DOCS-on:
  # documentation installation code
Comment 3 Klaus Aehlig 2016-03-13 16:46:52 UTC
Created attachment 168098 [details]
Patch to be applied to latest non-removed lang/haskell-mode.el to stage and update

Ammended patch as suggested; also updated to the latest version
Comment 4 Klaus Aehlig 2016-03-13 16:50:25 UTC
Hi Raphael,

Thanks for you comments on my patch, and sorry for answering
so late. I amended the patch as suggested; I also updated it
to the now latest version of haskell-mode. Please take another look.

Thanks,
Klaus
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-03-13 17:18:25 UTC
Thanks, this looks fine. I'll commit a slightly modified version that sets DISTVERSIONSUFFIX earlier, as `portlint -AC' suggests.
Comment 6 commit-hook freebsd_committer 2016-03-13 17:21:27 UTC
A commit references this bug:

Author: rakuco
Date: Sun Mar 13 17:21:22 UTC 2016
New revision: 411004
URL: https://svnweb.freebsd.org/changeset/ports/411004

Log:
  Readd lang/haskell-mode.el, update to 13.18 and pass maintainership to submitter.

  PR:		201170
  Submitted by:	Klaus Aehlig <aehlig@linta.de>

Changes:
  head/lang/Makefile
  head/lang/haskell-mode.el/
  head/lang/haskell-mode.el/Makefile
  head/lang/haskell-mode.el/distinfo
  head/lang/haskell-mode.el/files/pkg-message.in
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-03-13 17:21:55 UTC
Finally landed, thanks a lot for the patch and for sticking around!